### Method

# EDataBook DataBookView notify_update_vcard

#### Declaration [src]

    void
    e_data_book_view_notify_update_vcard (
      EDataBookView* view,
      const gchar* id,
      const gchar* vcard
    )

#### Description [src]

Notify listeners that `vcard` has changed. This can trigger an add, change or removal event depending on whether the change causes the contact to start matching, no longer match, or stay matching the query specified by `view`. This method should be preferred over `e_data_book_view_notify_update()` when the native representation of a contact is a vCard.

#### Parameters

`id`

  Type: `const gchar*`

  A unique id of the `vcard`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`vcard`

  Type: `const gchar*`

  A plain vCard.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.